Bug 1172787 (CVE-2014-9358) - CVE-2014-9358 docker: Path traversal and spoofing opportunities presented through image identifiers
Summary: CVE-2014-9358 docker: Path traversal and spoofing opportunities presented thr...
Status: CLOSED ERRATA
Alias: CVE-2014-9358
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20141211,reported=2...
Keywords: Security
Depends On: 1173324 1173325
Blocks: 1172847
TreeView+ depends on / blocked
 
Reported: 2014-12-10 18:09 UTC by Trevor Jay
Modified: 2019-06-08 20:19 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-11 21:02:40 UTC


Attachments (Terms of Use)

Description Trevor Jay 2014-12-10 18:09:54 UTC
Docker Inc. has reported that it is possible to spoof images on the central registry. From the report: 

"It has been discovered that Docker does not sufficiently validate Image IDs as provided either via 'docker load' or through registry communications. This allows for path traversal attacks, causing graph corruption and manipulation by malicious images, as well as repository spoofing attacks."

Comment 1 Vincent Danen 2014-12-11 20:53:13 UTC
External References:

https://groups.google.com/forum/#!topic/docker-user/nFAz-B-n4Bw

Comment 2 Vincent Danen 2014-12-11 21:01:35 UTC
Created docker-io tracking bugs for this issue:

Affects: fedora-all [bug 1173324]
Affects: epel-6 [bug 1173325]

Comment 3 Vincent Danen 2014-12-11 21:02:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Extras

Via RHSA-2014:1947 https://rhn.redhat.com/errata/RHBA-2014-1977.html

Comment 4 Trevor Jay 2014-12-12 02:01:08 UTC
Acknowledgements:

Red Hat would like to thank Docker Inc. for reporting this issue.

Comment 5 Fedora Update System 2014-12-15 04:32:46 UTC
docker-io-1.4.0-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-01-26 02:35:31 UTC
docker-io-1.4.1-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.